## org.apache.tools.ant
Interface Executor

All Known Implementing Classes:
  DefaultExecutor, IgnoreDependenciesExecutor, SingleCheckExecutor

    public interface Executor

Target executor abstraction.

Since:
  Ant 1.6.3

Method Summary
`void` `executeTargets(Project project, java.lang.String[] targetNames)` Execute the specified Targets for the specified Project.
`Executor` `getSubProjectExecutor()` Get the appropriate subproject Executor instance.

Method Detail

### executeTargets

    void executeTargets(Project project,
                        java.lang.String[] targetNames)
                        throws BuildException

  Execute the specified Targets for the specified Project.

  Parameters:
    `project` - the Ant Project.
    `targetNames` - String[] of Target names.
  Throws:
    `BuildException` - on error

### getSubProjectExecutor

    Executor getSubProjectExecutor()

  Get the appropriate subproject Executor instance.

  Returns:
    an Executor instance.